centos6.4上安装phpmyfaq

phpmyfaq真是奇怪呀,官网上只能下载到当前的版本,无法下载以前的版本。官网为:http://www.phpmyfaq.de/ 官网上没有phpmyfaq的安装方法,我在网上找了下,这就个文章还比较有用:http://blog.webwlan.cn/wordpress/?p=7820。另外还参考了官网的这篇文章:http://www.phpmyfaq.de/documentation.2.8.en.php。因为只有centos5.5的虚拟机,以所我首先尝试在centos5.5上安装phpmyfaq。结果可下载到的最新版的phpmyfaq仅支持php5.3+的版本,而centos5.5上默认的php版本只有5.1。结果折腾了半天,也没把这个phpmyfaq2.8.2安装到我的centos5.5上。不得以,找来个centos6.4的版本,终于,安装上了phpmyfaq2.8.2。

以下为安装过程:

1. 安装php/mysql/httpd

yum install php-devel
yum install mysql
yum install httpd

要注意php,mysql和apache的版本是否符合phpmyfaq的要求哦~~

安装mysql数据库后,修改默认的密码为一个你认为安全的密码,然后:

mysql -u root -p
create database phpmyfaq;

因为后面配置phpmyfaq的时候需要用到这个用户名、密码和数据库名。

2. 安装php的扩展包gd/XMLWriter/JSON/Filter/SPL

yum install php-gd
yum install php-mysql
yum install php-json
yum install php-xml
yum install php-filter
yum install php-spl

 版本较新的php会自带一些扩展包,比如php-json之类的。这些扩展包安装成功后,在/etc/php.d中将自动产生配置文件,不用手工在/etc/php.ini中另外再配置了。如果不安装这些扩展包,可能造成phpmyfaq系统无法正在运行。

3. 配置php.in文件

按phpmyfaq的说明,需要配置/etc/php.ini中的几行参数,如下:

register_globals = off
magicquotesgpc = off
safe_mode = off (recommended)
memory_limit = 64M

 实际上虚拟机中分给php的memory_limit可能要大于64M。我的虚拟机分配的是128M,我没有修改。

4. 安装使用phpmyfaq

我使用的phpmyfaq2.8.2,也就是从人家的博客中下载下来的那个版本。解压phpmyfaq-2.8.2.tar.gz并且移动到/var/www/html/目录下:

cd /var/www/html/phpmyfaq
mkdir attachments
mkdir data
mkdir images

chown -R apache.apache /var/www/html/phpmyfaq/

 访问http://IP/phpmyfaq/install/setup.php即可对系统进行初步的配置了~~

posted @ 2013-12-16 16:28 myLittleGarden 阅读(...) 评论(...) 编辑 收藏